Subject: Re: dlopen under cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: Maarten Boekhold <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Jul 2004 18:11:41 +0200

Maarten wrote:

> Hi all,

> Is dlopen() & friends supported under cygwin? If so, is the DLL that 
> gets loaded using dlopen() a regular Win32 DLL, or a 'special' type of
> cygwin DLL?

dlopen() works and one should use it.

> Reason I ask it that (while trying to get 'plugins' to work under 
> cygwin) I had a look at the gmodule source code of glib, and it seems 
> that gmodule uses regular Win32 LoadLibrary() calls to load the DLL, 
> instead of calling dlopen(). I was wondering if that it actually correct.

This seems to work too, but is it not portable, dlopen() is used for
Linux applications and needs not to be ported when building with
Cygwin, it just works the same way as for Linux.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/